"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useModal = void 0;
const react_1 = require("react");
const context_1 = require("./context");
const useModal = (id, modal) => {
    const { registered, close, open, opened, register, unregister } = (0, react_1.useContext)(context_1.ModalContext);
    (0, react_1.useEffect)(() => {
        if (id && modal) {
            register(Object.assign({ id }, modal));
            return () => unregister(id);
        }
    }, []);
    return [
        (modal) => open(id, modal),
        {
            modals: registered,
            opened: opened,
            openModal: open,
            closeModal: close,
            registerModal: register,
            unregisterModal: unregister,
        },
    ];
};
exports.useModal = useModal;
